aboutgitcodebugslistschat
diff options
context:
space:
mode:
authorDavid Gibson <david@gibson.dropbear.id.au>2024-07-25 16:50:42 +1000
committerStefano Brivio <sbrivio@redhat.com>2024-07-25 12:39:00 +0200
commite9a542321fc1f455b8627e03806936abb5663154 (patch)
tree0a5c60ae6c3912690baa7a61d4e646e963a640e2
parentbecf81ab888aeb8fd682b572576f257ab9e9e96f (diff)
downloadpasst-e9a542321fc1f455b8627e03806936abb5663154.tar
passt-e9a542321fc1f455b8627e03806936abb5663154.tar.gz
passt-e9a542321fc1f455b8627e03806936abb5663154.tar.bz2
passt-e9a542321fc1f455b8627e03806936abb5663154.tar.lz
passt-e9a542321fc1f455b8627e03806936abb5663154.tar.xz
passt-e9a542321fc1f455b8627e03806936abb5663154.tar.zst
passt-e9a542321fc1f455b8627e03806936abb5663154.zip
test: Fix spurious test failure with systemd-resolved
systemd-resolved has the rather strange behaviour of listening on the non-standard loopback address 127.0.0.53. Various changes we've made in passt mean that we now usually work fine on a host using systemd-resolved. However our tests still fail in this case. We have a special case for when the guest's resolv.conf needs to differ from the host's because the resolver is on a host loopback address. However, we only consider the case where the host resolver is on 127.0.0.1, not other loopback addresses. Correct this with a different test condition. Signed-off-by: David Gibson <david@gibson.dropbear.id.au> Signed-off-by: Stefano Brivio <sbrivio@redhat.com>
-rw-r--r--test/passt/dhcp2
1 files changed, 1 insertions, 1 deletions
diff --git a/test/passt/dhcp b/test/passt/dhcp
index 3ec2faf..e05a4bb 100644
--- a/test/passt/dhcp
+++ b/test/passt/dhcp
@@ -38,7 +38,7 @@ check [ __MTU__ = 65520 ]
test DHCP: DNS
gout DNS sed -n 's/^nameserver \([0-9]*\.\)\(.*\)/\1\2/p' /etc/resolv.conf | tr '\n' ',' | sed 's/,$//;s/$/\n/'
hout HOST_DNS sed -n 's/^nameserver \([0-9]*\.\)\(.*\)/\1\2/p' /etc/resolv.conf | head -n3 | tr '\n' ',' | sed 's/,$//;s/$/\n/'
-check [ "__DNS__" = "__HOST_DNS__" ] || [ "__DNS__" = "__HOST_GW__" -a "__HOST_DNS__" = "127.0.0.1" ]
+check [ "__DNS__" = "__HOST_DNS__" ] || ( [ "__DNS__" = "__HOST_GW__" ] && expr "__HOST_DNS__" : "127[.]" )
# FQDNs should be terminated by dots, but the guest DHCP client might omit them:
# strip them first